<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="styles/styles.css">
    <script src="js/animation.js" defer></script>
    <script src="js/validation.js" defer></script>
    <script src="js/httpRequests.js" defer></script>
    <title>Rise Airlines - Flights</title>
</head>
<body>
    <header class="navbar">
        <h1><a href="index.html">Rise Airlines</a>  <img src="assets/header-plane.png" alt="plane"></h1>
        <nav>
            <ul>
                <li><a href="airports.html">Airports</a></li>
                <li><a href="airlines.html">Airlines</a></li>
                <li><a href="flights.html">Flights</a></li>
            </ul>
        </nav>
    </header>
    <main class="content">
        <button id="scrollToTopBtn">↑</button>
        <div class="title">
            <a href="index.html"><img src="assets/left sidebar.png" alt=""></a>
            <h2>Flights</h2>
        </div>
        <hr>
        <div class="container">
            <form asp-controller="Airline" asp-action="Search" id="searchForm">
                <input type="text" id="searchInput" name="searchText" placeholder="Search...">
                <select id="filterDropdown" name="filterCriteria">
                    <option value="FlightNumber">Flight number</option>
                    <option value="Price">Price</option>
                    <option value="Duration">Duration</option>
                    <option value="AirlineId">Airline id</option>
                </select>
                <button id="searchButton" type="submit">Search</button>
            </form>
        </div>
        <div class="table fade-in">
            <table>
                <thead>
                    <tr>
                        <th class="table-head-tag">Flight number</th>
                        <th class="table-head-tag">From airport id</th>
                        <th class="table-head-tag">To airport id</th>
                        <th class="table-head-tag">Aircraft model id</th>
                        <th class="table-head-tag">Price</th>
                        <th class="table-head-tag">Duration</th>
                        <th class="table-head-tag">Departure datetime</th>
                        <th class="table-head-tag">Arrival datetime</th>
                        <th class="table-head-tag">Airline id</th>
                        <th class="table-head-tag">Buttons</th>
                    </tr>
                </thead>
                <tbody id="airlinesTableBody">
                    
                </tbody>
            </table>
        </div>
        <div class="showFormButton">
            <button id="showMoreButton">Show more</button>
            <button id="showFormButton">Show Form</button>
        </div>
        <div class="form fade-in" id="formSection">
            <form id="flightForm" method="post">
                <fieldset>
                    <legend>Add New Flight</legend>

                    <label for="FlightNumber">Flight number:</label>
                <input type="text" id="flight_number" name="FlightNumber" required />
                <span id="flightNumberError" class="error"></span>

                <label for="FromAirportId">From:</label>
                <input type="number" id="from" name="FromAirportId" required />
                <span id="fromAirportIdError" class="error"></span>

                <label for="ToAirportId">To:</label>
                <input type="number" id="to" name="ToAirportId" required />
                <span id="toAirportIdError" class="error"></span>

                <label for="AircraftModelId">Aircraft model id:</label>
                <input type="number" id="aircraft_model_id" name="AircraftModelId" required />
                <span id="aircraftModelIdError" class="error"></span>

                <label for="Price">Price:</label>
                <input type="number" id="price" name="Price" required />
                <span id="priceError" class="error"></span>

                <label for="Duration">Duration:</label>
                <input type="number" id="duration" name="Duration" required />
                <span id="durationError" class="error"></span>

                <label for="DepartureDatetime">Departure datetime:</label>
                <input type="datetime-local" id="departure_datetime" name="DepartureDatetime" required />
                <span id="departureDatetimeError" class="error"></span>

                <label for="ArrivalDatetime">Arrival datetime:</label>
                <input type="datetime-local" id="arrival_datetime" name="ArrivalDatetime" required />
                <span id="arrivalDatetimeError" class="error"></span>

                <label for="AirlineId">Airline id:</label>
                <input type="number" id="airline_id" name="AirlineId" required />
                <span id="airlineIdError" class="error"></span>

                <button type="submit" id="submitButton" disabled >Submit</button>
                </fieldset>
            </form>
        </div>
    </main>
    <footer class="footer">
        <p>Rise Airlines 2024 &copy;</p>
    </footer>
</body>
</html>